Bug 1659156 - Ceph OSD logs are not logging slow requests when the cluster logs a slow request in the cluster log files
Summary: Ceph OSD logs are not logging slow requests when the cluster logs a slow requ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.1
Hardware: All
OS: All
urgent
high
Target Milestone: z1
: 3.2
Assignee: Neha Ojha
QA Contact: Parikshith
John Brier
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-12-13 17:26 UTC by jquinn
Modified: 2019-03-07 15:51 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-12.2.8-66.el7cp Ubuntu: ceph_12.2.8-52redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Slow request messages have been re-added to the OSD logs Previously, slow request messages were removed from the OSD logs, which made debugging harder. This update re-adds these warnings to the OSD logs.
Clone Of:
Environment:
Last Closed: 2019-03-07 15:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0475 None None None 2019-03-07 15:51:21 UTC
Ceph Project Bug Tracker 37806 None None None 2019-01-07 23:14:04 UTC

Comment 3 Vikhyat Umrao 2018-12-13 17:31:28 UTC
We fixed cluster logs here in this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1576204

Comment 20 Neha Ojha 2019-02-26 20:10:54 UTC
Hi Bara,

I have filled out the template for this bug.

Thanks,
Neha

Comment 22 Neha Ojha 2019-02-27 22:02:36 UTC
Hi Bara,

I made a few minor changes, not sure they got reflected correctly in the doc text.
Here's what it should look like:

"Slow request messages have been re-added to the OSD logs.

Previously, slow request messages were removed from the OSD logs, which made debugging harder. This update re-adds these warnings to the OSD logs."

Thanks,
Neha

Comment 25 errata-xmlrpc 2019-03-07 15:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0475


Note You need to log in before you can comment on or make changes to this bug.